For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddRule
        • POSTDelRule
        • POSTSetRuleInfo
        • POSTGetRules
        • POSTReorderRules
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceRules

GetRules

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetRules
POST
/platform_api/GetRules
$curl -X POST https://api.voximplant.com/platform_api/GetRules \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "rule_id": 10,
5 "application_id": 1,
6 "rule_name": "Moscow",
7 "rule_pattern": "749[59].+",
8 "video_conference": false,
9 "scenarios": [
10 {
11 "scenario_id": 3,
12 "scenario_name": "scen3",
13 "modified": "2013-09-09 16:36:50"
14 },
15 {
16 "scenario_id": 2,
17 "scenario_name": "scen2",
18 "modified": "2013-09-09 16:35:55"
19 }
20 ],
21 "modified": "2013-09-09 17:07:29"
22 }
23 ],
24 "total_count": 1,
25 "count": 1
26}

Gets the rules.

Allowed roles: Owner, Admin, Developer, Supervisor, Call list manager, Support.

Example request: Get the first rule for the template 74951234567.

Was this page helpful?
Previous

SetRuleInfo

Next

ReorderRules

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

application_idintegerOptional

The application ID. Required unless application_name is provided.

application_namestringOptional

The application name. Required unless application_id is provided.

rule_idintegerOptional
The rule ID to filter
rule_namestringOptional
The rule name part to filter
video_conferencebooleanOptional
Whether it is a video conference to filter
attached_key_idstringOptional

The service account ID bound to the rule. Read more in the guide

templatestringOptional
Search for template matching
with_scenariosbooleanOptional
Whether to get bound scenarios info
countintegerOptionalDefaults to 20
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

Response

Successful response
resultlist of objects
total_countinteger
The total found rule count
countinteger
The returned rule count

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.